Package org.eclipse.emf.cdo.view

# Class CDOPrefetcherManager

java.lang.Object
org.eclipse.net4j.util.event.Notifier
org.eclipse.net4j.util.lifecycle.Lifecycle
org.eclipse.emf.cdo.view.CDOViewSetHandler
org.eclipse.emf.cdo.view.CDOPrefetcherManager

All Implemented Interfaces:
  `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.event.INotifier.INotifier2`, `org.eclipse.net4j.util.lifecycle.IDeactivateable`, `org.eclipse.net4j.util.lifecycle.ILifecycle`, `org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

public class CDOPrefetcherManager extends CDOViewSetHandler

Since:
  4.15
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`CDOPrefetcherManager.Prefetcher`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

`org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`DEFAULT_TIMEOUT`
`static final long`
`NO_TIMEOUT`

### Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

`USE_LABEL`

## Constructor Summary

Constructors
Constructor
Description
`CDOPrefetcherManager(ResourceSet resourceSet, boolean prefetchLockStates)`

## Method Summary

Modifier and Type
Method
Description
`void`
`cleanup()`
`protected CDOPrefetcherManager.Prefetcher`
`createPrefetcher(CDOView view)`
`protected void`
`execute(Runnable runnable)`
`final CDOPrefetcherManager.Prefetcher`
`getPrefetcher(CDOView view)`
`final CDOPrefetcherManager.Prefetcher[]`
`getPrefetchers()`
`boolean`
`isPrefetchLockStates()`
`protected void`
`schedule(Runnable runnable)`
`protected void`
`viewAdded(CDOView view)`
Subclasses may override.
`protected void`
`viewChanged(CDOView view, CDOBranchPoint oldBranchPoint, CDOBranchPoint newBranchPoint)`
Subclasses may override.
`protected void`
`viewRemoved(CDOView view)`
Subclasses may override.
`boolean`
`waitUntilPrefetched()`
`boolean`
`waitUntilPrefetched(long timeout)`

### Methods inherited from class org.eclipse.emf.cdo.view.CDOViewSetHandler

`doActivate, doDeactivate, getViewSet, notifyViewEvent`

### Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

`activate, checkActive, checkArg, checkArg, checkInactive, checkNull, checkState, checkState, deactivate, deferredActivate, doAfterActivate, doBeforeActivate, doBeforeDeactivate, dump, getLifecycleState, isActive, isDeferredActivation, toString`

### Methods inherited from class org.eclipse.net4j.util.event.Notifier

`addListener, addUniqueListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListener, hasListeners, lastListenerRemoved, listenerAdded, listenerRemoved, removeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

## Field Details

### NO_TIMEOUT

public static final long NO_TIMEOUT

See Also:
  - Constant Field Values

### DEFAULT_TIMEOUT

public static final long DEFAULT_TIMEOUT

See Also:
  - Constant Field Values

## Constructor Details

### CDOPrefetcherManager

public CDOPrefetcherManager(ResourceSet resourceSet, boolean prefetchLockStates)

## Method Details

### isPrefetchLockStates

public boolean isPrefetchLockStates()

### getPrefetchers

public final CDOPrefetcherManager.Prefetcher[] getPrefetchers()

### getPrefetcher

public final CDOPrefetcherManager.Prefetcher getPrefetcher(CDOView view)

### waitUntilPrefetched

public boolean waitUntilPrefetched()

### waitUntilPrefetched

public boolean waitUntilPrefetched(long timeout)

### cleanup

public void cleanup()

### viewAdded

protected void viewAdded(CDOView view)
Description copied from class: `CDOViewSetHandler`
Subclasses may override.

Overrides:
  `viewAdded` in class `CDOViewSetHandler`

### viewChanged

protected void viewChanged(CDOView view, CDOBranchPoint oldBranchPoint, CDOBranchPoint newBranchPoint)
Description copied from class: `CDOViewSetHandler`
Subclasses may override.

Overrides:
  `viewChanged` in class `CDOViewSetHandler`

### viewRemoved

protected void viewRemoved(CDOView view)
Description copied from class: `CDOViewSetHandler`
Subclasses may override.

Overrides:
  `viewRemoved` in class `CDOViewSetHandler`

### createPrefetcher

protected CDOPrefetcherManager.Prefetcher createPrefetcher(CDOView view)

### schedule

protected void schedule(Runnable runnable)

### execute

protected void execute(Runnable runnable)